#!perl

# Quick PDF Library
# Perl Sample: Add a barcode to a PDF

# * Remember to set your license key below
# * This sample shows how to add a barcode onto a page in a PDF

use Win32::OLE; 

print "### Add a barcode a PDF - Quick PDF Library ###\n\n";

my $ClassName;
my $LicenseKey;
my $FileName;

$ClassName = 'DebenuPDFLibraryAX1011.PDFLibrary';
$LicenseKey = '...'; # INSERT LICENSE KEY HERE
$FileName = 'barcode.pdf';

my $QP;
my $Result;

$QP = Win32::OLE->new($ClassName);

$QPLibVer = $QP->LibraryVersion; # * Display Quick PDF Library version number
print "Library version: $QPLibVer\n\n";

$Result = $QP->UnlockKey($LicenseKey);
if ($Result == 1) {
    
    $QPLicInfo = $QP->LicenseInfo; # * Display Quick PDF Library license info
    print "Valid license key: $QPLicInfo\n\n";

    # * When you Create the Quick PDF Library object a PDF
    # * document with one blank page is automatically loaded
    # * memory and selected. So you can get started immediately.

    # * Draw the barcode on the selected page using DrawBarcode function.
    # * In this example we use parameter 3 which is for a Code-128 barcode

    if ($QP->DrawBarcode(300, 600, 60, 20, 'Quick PDF Library Rocks', 3, 0) == 1) {
        print "The barcode was successfully added to the selected page.\n\n";
    }
    else {
        print "The barcode could not be added to the selected page.\n\n";
    }

    # * Save the barcode to the PDF using the SaveToFile function

    if ($QP->SaveToFile($FileName) == 1) {
        print "File $FileName was written successfully to disk.\n\n";
    }
    else {
        print "Error, file could not be written. Make sure that the file exists and that it is not open.\n";
    }
}
else {
    print "- Invalid license key - \n\n";
    print "Please set your license key by editing this file\n";
}

$QP = undef;
select(undef, undef, undef, 9000 / 1000.0);