#!perl

# Quick PDF Library

# * Remember to set your license key below
# * This sample shows how to draw simple shapes onto the page
# * A file called draw-shapes.pdf is written to disk

use Win32::OLE;

print "### Draw Shapes - Quick PDF Library Sample ###\n\n";

my $ClassName;
my $LicenseKey;
my $FileName;

$ClassName = 'DebenuPDFLibraryAX1011.PDFLibrary';
$LicenseKey = '...'; # INSERT LICENSE KEY HERE
$FileName = 'draw-shapes.pdf';

my $QP;
my $Result;

$QP = Win32::OLE->new($ClassName);

$QPLibVer = $QP->LibraryVersion; # * Display Quick PDF Library version number
print "Library version: $QPLibVer\n\n";

$Result = $QP->UnlockKey($LicenseKey);
if ($Result == 1) {
    $QPLicInfo = $QP->LicenseInfo; # * Display Quick PDF Library license info
    print "Valid license key: $QPLicInfo\n\n";

    # 100% red rectangle
    $QP->SetFillColor(1, 0, 0);
    $QP->DrawBox(100, 500, 400, 200, 1);

    # 20% green / 50% blue circles
    $QP->SetFillColor(0, 0.2, 0.5);
    $QP->DrawCircle(200, 400, 50, 1);
    $QP->DrawCircle(400, 400, 50, 1);

    # Yellow triangles
    $QP->SetFillColor(0.75, 0.75, 0);
    my $X;
    for my $X (1 .. 4) {
        $QP->StartPath(100 + $X * 80, 200);
        $QP->AddLineToPath(70 + $X * 80, 170);
        $QP->AddLineToPath(100 + $X * 80, 140);
        $QP->AddLineToPath(130 + $X * 80, 170);
        $QP->ClosePath();
        $QP->DrawPath(1);
    }

    if ($QP->SaveToFile($FileName) == 1) {
        print "File $FileName was written successfully to disk...\n\n";
    }
    else {
        print "Error, file could not be written\n\n";
    }
}
else {
    print "- Invalid license key -\n\n";
    print "Please set your license key by editing this file\n\n";
}

$QP = undef;
select(undef, undef, undef, 9000 / 1000.0);