#!perl

# Quick PDF Library
# Sample: Page origin and co-ordinates

# * Remember to set your license key below
# * This sample shows how to set the page origin and use
#   different drawing co-ordinates
# * A file called page-origin-and-co-ordinates.pdf is written to disk

use Win32::OLE;

print "### Page origin and co-ordinates - Quick PDF Library Sample ###\n\n";

my $ClassName;
my $LicenseKey;
my $FileName;

$ClassName = 'DebenuPDFLibraryAX1011.PDFLibrary';
$LicenseKey = '...'; # INSERT LICENSE KEY HERE
$FileName = 'page-origin-and-co-ordinates.pdf';

my $QP;
my $Result;

$QP = Win32::OLE->new($ClassName);

$QPLibVer = $QP->LibraryVersion; # * Display Quick PDF Library version number
print "Library version: $QPLibVer\n\n";

$Result = $QP->UnlockKey($LicenseKey);
if ($Result == 1) {
    
    $QPLicInfo = $QP->LicenseInfo; # * Display Quick PDF Library license info
    print "Valid license key: $QPLicInfo\n\n";

    # Use the top-left corner of the page
    $QP->SetOrigin(1);

    # Use millimetres
    $QP->SetMeasurementUnits(1);

    # Draw a 100 x 100 mm green rectangle
    $QP->SetLineColor(0, 0.8, 0);
    $QP->DrawBox(50, 20, 100, 100, 0);
    $QP->DrawText(60, 30, 'It\'s hip to be square...');

    if ($QP->SaveToFile($FileName) == 1) {
        print "File $FileName was written successfully to disk...\n";
    }
    else {
        print "Error, file could not be written\n";
    }
}
else {
    print "- Invalid license key -\n";
    print "Please set your license key by editing this file\n";
}

$QP = undef;
select(undef, undef, undef, 9000 / 1000.0);