#!perl

# Quick PDF Library
# Sample: Rendering PDF to an image format

# * Remember to set your license key below
# * This sample shows how to render a PDF page to image format
# * A file called render-pdf-to-image-1.jpg is written to disk

use Win32::OLE;

print "### Render PDF to image - Quick PDF Library Sample ###\n\n";

my $ClassName;
my $LicenseKey;
my $FileName;

$ClassName = 'DebenuPDFLibraryAX1011.PDFLibrary';
$LicenseKey = '...'; # INSERT LICENSE KEY HERE
$FileName1 = 'pdf-to-image-temp.pdf';
$FileName2 = 'pdf-to-image-%p.jpg';

my $QP;
my $Result;

$QP = Win32::OLE->new($ClassName);

$QPLibVer = $QP->LibraryVersion; # * Display Quick PDF Library version number
print "Library version: $QPLibVer\n\n";

$Result = $QP->UnlockKey($LicenseKey);
if ($Result == 1) {
    $QPLicInfo = $QP->LicenseInfo; # * Display Quick PDF Library license info
    print "Valid license key: $QPLicInfo\n\n";

    # * Draw some objects onto a new PDF
    $QP->SetOrigin(1);
    $QP->SetMeasurementUnits(1);
    $QP->SetPageDimensions(100, 100);
    $QP->SetFillColor(0.8, 0, 0.2);
    $QP->DrawBox(0, 0, 100, 100, 1);
    $QP->SetTextSize(48);
    $QP->SetTextColor(1, 1, 1);
    $QP->SetTextAlign(1);
    $QP->DrawTextBox(0, 0, 100, 100, 'Hello', 0);

    # * Save the new PDF to disk
    if ($QP->SaveToFile($FileName1) == 1) {
        print "File $FileName1 was written successfully to disk.\n\n";
    }
    else {
        print "Error, PDF file could not be written to disk\n\n";
    }

    # * Load the new PDF back into memory
    $QP->LoadFromFile($FileName1, '');

    # * Render the PDF as an JPG image and save it to disk
    if ($QP->RenderDocumentToFile(96, 1, 1, 1, $FileName2) == 1) {
        print "JPG image $FileName2 written successfully to disk...\n\n";
    }
    else {
        print "Error, JPG image could not be written to disk\n\n";
    }
}
else {
    print "- Invalid license key -\n\n";
    print "Please set your license key by editing this file\n\n";
}

$QP = undef;
select(undef, undef, undef, 9000 / 1000.0);